>From 07e2792c6d33adeae40dbafa6b9e2d0d0f4d4ce3 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Tobias=20G=C3=BCntner?= <fatbull@web.de>
Date: Fri, 9 Sep 2011 16:19:09 +0000
Subject: [PATCH] Ignore invalid timestamps

---
 modules/demux/ps.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/modules/demux/ps.c b/modules/demux/ps.c
index dd4f729..f979555 100644
--- a/modules/demux/ps.c
+++ b/modules/demux/ps.c
@@ -218,7 +218,7 @@ static int Demux2( demux_t *p_demux, bool b_end )
     if( (i_id = ps_pkt_id( p_pkt )) >= 0xc0 )
     {
         ps_track_t *tk = &p_sys->tk[PS_ID_TO_TK(i_id)];
-        if( !ps_pkt_parse_pes( p_pkt, tk->i_skip ) )
+        if( !ps_pkt_parse_pes( p_pkt, tk->i_skip ) && p_pkt->i_pts != VLC_TS_INVALID )
         {
             if( b_end && p_pkt->i_pts > tk->i_last_pts )
             {
-- 
1.7.0.4

